#  -*- coding: utf-8 -*-

import subprocess

__name__	    = 'ImgInfo'
__description__ = 'Display Image Information'
__author__      = 'trhura@gmail.com' 
__has_options__ = True

def is_applicable (selected_files):
    # TODO: check whether the system has 'identify' 
    return True

def prepare_options (builder):
    print 'pass ...'
    
def run (builder, files):
    verbose = builder.get_object ('option-widget').get_active ()

    args    = ['identify']
    for file in files:
        # if verbose is set, add verbose flag, otherwise only file
        args += verbose and ['-verbose', file] or [file]
    
    process = subprocess.Popen (args, stdout=subprocess.PIPE, stderr=subprocess.STDOUT)
    process.wait ()

    if process.stdout:
        message =  process.stdout.read ()
        process.stdout.close ()
        return (process.returncode == 0, message) 
